
#version 150

in  vec4 color;
in  vec2 texCoord;

out vec4 fColor;

uniform sampler2D tex;

void main() 
{
    if (texCoord.x > 10) {
      fColor = vec4(0.2, 0.2, 0.2, 1);
    }
    else {
      fColor = color * texture(tex, texCoord);
    }
} 

